Bug 19169 - internal compiler error when rebuilding RHL7.0 tripwire
Summary: internal compiler error when rebuilding RHL7.0 tripwire
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: egcs (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-16 10:35 UTC by Pekka Savola
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-17 11:36:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pekka Savola 2000-10-16 10:35:05 UTC
gmake[4]: Entering directory
`/usr/src/redhat/BUILD/tripwire-2.3/src/STLport-4.0/src'
mkdir -p obj/GCC/Release
c++ -I../stlport -Wall -W -Wno-sign-compare -Wno-unused -Wno-uninitialized
-ftemplate-depth-32 -O2 complex.cpp -c -o obj/GCC/Release/complex.o
c++ -I../stlport -Wall -W -Wno-sign-compare -Wno-unused -Wno-uninitialized
-ftemplate-depth-32 -O2 complex_exp.cpp -c -o obj/GCC/Release/complex_exp.o
c++ -I../stlport -Wall -W -Wno-sign-compare -Wno-unused -Wno-uninitialized
-ftemplate-depth-32 -O2 complex_io.cpp -c -o obj/GCC/Release/complex_io.o
c++ -I../stlport -Wall -W -Wno-sign-compare -Wno-unused -Wno-uninitialized
-ftemplate-depth-32 -O2 complex_trig.cpp -c -o
obj/GCC/Release/complex_trig.o
c++ -I../stlport -Wall -W -Wno-sign-compare -Wno-unused -Wno-uninitialized
-ftemplate-depth-32 -O2 dll_main.cpp -c -o obj/GCC/Release/dll_main.o
dll_main.cpp: In instantiation of
`__debug_alloc<::_STL::::_STL::__node_alloc<true,0> >':
dll_main.cpp:18:   instantiated from
`::_STL::::_STL::__debug_alloc<::_STL::::_STL::__node_alloc<true,0> >'
dll_main.cpp:18:   instantiated from here
dll_main.cpp:18: Internal compiler error.
dll_main.cpp:18: Please submit a full bug report to
`egcs-bugs@egcs.cygnus.com'.
dll_main.cpp:18: See <URL:http://egcs.cygnus.com/faq.html#bugreport> for
details.
gmake[4]: *** [obj/GCC/Release/dll_main.o] Error 1
gmake[3]: *** [lib/libstlport_gcc.a] Error 2
gmake[2]: *** [../../lib/i686-pc-linux_r/libstlport_gcc.a] Error 2
gmake[1]: *** [STLport_r] Error 2
g

Comment 1 Jakub Jelinek 2000-10-20 14:00:08 UTC
I don't think we have time right now to fix bugs in such an old compiler
(that bugfixing time is better spent in fixing 2.96 or mainline CVS).


Note You need to log in before you can comment on or make changes to this bug.